import 'package:flutter/material.dart';

import 'package:pshared/models/payment/type.dart';
import 'package:pshared/models/recipient/recipient.dart';

import 'package:pweb/pages/dashboard/payouts/single/address_book/widget.dart';


class SinglePayoutForm extends StatelessWidget {
  final ValueChanged<Recipient> onRecipientSelected;
  final void Function(PaymentType type) onGoToPayment;

  const SinglePayoutForm({
    super.key,
    required this.onRecipientSelected,
    required this.onGoToPayment,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: [
        AddressBookPayout(onSelected: onRecipientSelected),
        //TODO Add history of recent wallets/payments
      ],
    );
  }
}
